package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.Users;

/**
 * @author 86187
 * @author 86187
 * @ Description: 用户接口
 * @ Author     : 86187
 * @ Date       : 2021/1/6 16:08
 */
public interface UserService {


    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    Users getById(String userId);


    R<Integer> getById1(String userId);

    Users getUserById(Long id);

    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    Users getByUserId(String userId);

    /**
     * 根据手机号查询用户
     */
    Users queryUsersByPhone(String userId);

    /**
     * 根据OpenId查询用户
     */
    Users queryUsersByOpenId(String openId);

    /**
     * 用户登出
     *
     * @param token
     * @return
     */
    int logout(String token);

    Integer getUserIdById(String userId);

    /**
     * 设置用户头像
     *
     * @param userId    用户id
     * @param headImage 头像图片地址
     * @return true or false
     */
    R<Boolean> setHeadImage(String userId, String headImage);

}
